html,
body {
    margin: 0;
}

button {
    outline: none;
}

.string {
    color: green;
}

.number {
    color: darkorange;
}

.boolean {
    color: blue;
}

.null {
    color: magenta;
}

.key {
    color: red;
}

.FD-top-title {
    text-align: center;
}

.FD-request-con {
    width: 80%;
    margin: 15px auto;
}

.FD-request-con>p {
    background: #50b354;
    line-height: 50px;
    color: #fff;
    padding: 0px 10px;
    margin: 0px;
}

.FD-textarea>p {
    line-height: 40px;
    margin: 0px;
    color: #666;
}

.FD-textarea>input {
    width: 100%;
    margin: 10px 0px;
    height: 26px;
}

.FD-textarea>textarea {
    width: 100%;
    resize: none;
    height: 200px;
    border-radius: 8px;
    outline: none;
    line-height: 20px;
}

.FD-use-function {
    background: #e1e1e1;
    line-height: 50px;
    padding: 0 10px;
    border-radius: 5px;
    color: #666;
}

.FD-use-function p {
    line-height: 30px;
    margin: 0;
}

.FD-scenes-list {
    margin: 10px 0px;
}

.FD-scenes-list button {
    background: #85d789;
    border: 1px solid #85d789;
    padding: 5px 15px;
    border-radius: 5px;
    color: #fff7f7;
    margin-right: 10px;
    margin-bottom: 10px;
    cursor: pointer;
}

#userSceneInfo,
#userShareSceneInfo,
#userSharedSceneInfo,
#imagerylayersInfo,
#imagerylayerInfo,
#terrainsID,
#terrainInfo,
#userSceneCreated,
#PMTSInfo {
    width: 100%;
    height: 400px;
    resize: none;
}

.FD-textarea-res {
    width: 100%;
    height: 400px;
    resize: none;
}

.FD-input {
    width: 300px;
    height: 30px;
    outline: none;
    padding-left: 10px;
}

.FD-toggle-container {
    width: 96%;
    margin: 0 auto;
    transition: all ease-in-out .5s;
    -moz-transition: all ease-in-out .5s;
    -webkit-transition: all ease-in-out .5s;
    -o-transition: all ease-in-out .5s;
}

.FD-scene-button {
    border: 1px solid #50b354;
    padding: 5px 10px;
    background: #50b354;
    color: #fff;
    border-radius: 4px;
    cursor: pointer;
}

.FD-triangle {
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 10px solid #fff;
    display: inline-block;
    transform: rotate(90deg);
    cursor: pointer;
    margin-right: 10px;
    transition: all ease-in-out .5s;
    -moz-transition: all ease-in-out .5s;
    -webkit-transition: all ease-in-out .5s;
    -o-transition: all ease-in-out .5s;
}

.FD-triangle.open {
    transform: rotate(180deg);
}

.FD-baseURL {
    position: relative;
}

.FD-baseURL span {
    display: inline-block;
    vertical-align: middle;
}

.FD-baseURL input {
    width: 450px;
    height: 25px;
    display: inline-block;
    text-indent: 10px;
    font-size: 17px;
    color: #666;
}


/* 影像相关的内容 */

.FD-imagelayer-checkbox>input[type="checkbox"] {
    display: none;
}

input[type="checkbox"]+label {
    display: inline-block;
    width: 40px;
    height: 20px;
    position: relative;
    top: 5px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    margin: 0px 10px;
    box-sizing: border-box;
}

input[type="checkbox"]+label:after,
input[type="checkbox"]+label:before {
    content: '';
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 20px;
    height: 20px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    cursor: pointer;
}

.FD-checkbox:checked+label.green {
    background: #AEDCAE;
}

.FD-checkbox:checked+label.green:after {
    background: #4ade50;
}

.FD-checkbox:checked+label:after {
    left: calc(100% - 20px);
}

.FD-checkbox+label {
    background: #ddd;
    border-radius: 20px;
    box-shadow: 1px 1px 3px #aaa;
}

.FD-checkbox+label:after {
    background: #fff;
    border-radius: 50%;
    box-shadow: 1px 1px 3px #aaa;
}

input[type="range"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 5px;
    background: #E0ECFF;
    border-radius: 15px;
    outline: none;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: default;
    top: 0;
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background: rgba(204, 204, 204, 0.7);
    cursor: pointer;
}

.FD-imagelayer-tip {
    color: #333;
    line-height: 50px;
    text-align: left;
    padding-left: 5px;
    font-size: 18px;
    font-weight: 500;
}


/* .FD-imagelayer-buttons {
    text-align: right;
    width: 300px;
    box-sizing: border-box;
    padding: 0px 13px;
} */

.FD-imagelayer-button {
    min-width: 100px;
    height: 35px;
    text-align: center;
}

.FD-imagelayer-li {
    height: 70px;
    background-color: #f8f8f8;
    list-style: none;
    cursor: pointer;
    position: relative;
    margin-bottom: 5px;
    width: 300px;
}

.FD-imagelayer-li>img {
    width: 50px;
    height: 50px;
    float: left;
    margin: 10px;
}

.FD-imagelayer-li .checked {
    position: absolute;
    display: none;
    width: 50px;
    height: 50px;
    background-color: #000;
    opacity: .5;
    left: 10px;
    top: 15px;
    text-align: center;
}

.FD-imagelayer-li .checked.open {
    display: block;
}

.FD-scene-option-container {
    list-style-type: none;
    background-color: #fafafa;
    margin-bottom: 5px;
    padding: 10px 20px;
}

.FD-scene-option-container p {
    margin-bottom: 10px;
}

.FD-scene-option-name {
    display: inline-block;
    width: 180px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    vertical-align: top;
    color: #666;
}

.FD-scene-option-title {
    color: #666;
}

.FD-scene-option-num {
    outline: none;
    border: 1px solid #eee;
    height: 30px;
    padding-left: 5px;
    background: none;
}

.FD-imagelayer-list {
    margin: 10px 0px;
}

.FD-imagelayer-contain {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 270px;
    bottom: 0px;
    overflow-x: hidden;
    overflow-y: hidden;
}

.FD-imagelayer-container {
    height: 100%;
}

.FD-imagelayer-list {
    padding: 0;
    overflow-x: hidden;
    overflow-y: scroll;
    height: calc(100% - 130px);
    width: 290px;
}

.FD-imagelayer-list ul {
    background-color: #fff;
    padding: 0;
    margin-top: 10px;
}

.FD-imagelayer-li .checked>i {
    font-size: 30px;
    color: rgb(255, 255, 255);
    line-height: 50px;
}

.FD-imagelayer-li .title {
    display: block;
    width: 190px;
    height: 70px;
    line-height: 70px;
    color: #333;
    font-size: 13px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: left;
}

.FD-imagelayer-li .info {
    width: 225px;
    color: #666;
    font-size: 14px;
    float: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-top: 5px;
}

.FD-imagelayer-buttons button {
    display: block;
    background: #03A9F4;
    border: 1px solid #03a9f4;
    padding: 5px 10px;
    color: #fff;
    width: 150px;
    height: 30px;
    margin-bottom: 5px;
    cursor: pointer;
}

.FD-toggle-container ul {
    background: #eee;
    padding: 10px 0px;
}

.FD-share-li {
    display: inline-block;
    width: 25%;
    text-align: center;
    height: 40px;
}

.FD-share-li span {
    display: block;
    width: 80%;
    height: 30px;
    margin: 5px auto;
    line-height: 30px;
    border-radius: 4px;
    background: #fafafa;
    color: #666;
    cursor: pointer;
}

.FD-share-li.active span {
    background: #85d789;
    color: #fff;
}

.date-container {
    line-height: 40px;
    color: #666;
}

.demo_header {
    background-color: #f5fbff;
    padding: 0 20px;
    height: 50px;
    line-height: 50px;
    background: url(./banner.jpg);
    background-size: 100%;
}

.demo_text_img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-top: 5px;
    cursor: pointer;
}

.demo_text_title {
    display: inline-block;
    margin: 0;
    position: absolute;
    font-size: 23px;
    font-weight: 600;
    margin-left: 10px;
    color: #fff;
    cursor: pointer;
}

.demo_text_content {
    color: #fff;
    font-size: 16px;
    display: inline-block;
    padding: 0;
    margin: 0;
    position: absolute;
    margin-left: 140px;
}

.demo_content {
    width: 100%;
    /* height: calc(100% - 51px); */
    height: 100%;
    font-size: 0px;
}

.el-tree {
    border: none;
    background: rgb(247, 249, 253);
}

.el-tree-node__content {
    height: 35px;
}

.el-tree-node__content:hover {
    background-color: #cee6f6
}

.demo_tree {
    width: 200px;
    height: 100%;
    background: rgb(247, 249, 253);
    display: inline-block;
    overflow-y: auto;
}

.demo_code,
.demo_res {
    width: calc(50% - 100px);
    height: 100%;
    display: inline-block;
    box-sizing: border-box;
    font-size: 0px;
    vertical-align: top;
}

#userLoginingContainer {
    font-size: 20px;
    z-index: 1;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 400px;
    height: 200px;
    background: #e1e1e1;
    border-radius: 4px;
}

.FD-login-con {
    text-align: center;
}

.FD-login-con button {
    padding: 5px 20px;
    margin-top: 20px;
    background: #50b354;
    color: #fff;
    border: 1px solid #85d789;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.FD-input-area input {
    display: block;
    height: 30px;
    width: 200px;
    margin-left: 100px;
    margin-top: 20px;
    outline: none;
}